;;;
;;; eyeshapes.lisp
;;;
;;; Copyright (c) 2012, Jack D. Unrue
;;;
;;; Licensed under the Apache License, Version 2.0 (the "License");
;;; you may not use this file except in compliance with the License.
;;; You may obtain a copy of the License at
;;;
;;;     http://www.apache.org/licenses/LICENSE-2.0
;;;
;;; Unless required by applicable law or agreed to in writing, software
;;; distributed under the License is distributed on an "AS IS" BASIS,
;;; WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
;;; See the License for the specific language governing permissions and
;;; limitations under the License.
;;;
;;; This file uses adjacency lists to define eye shapes having
;;; known life-and-death status.
;;;
;;; Every point in each shape is the same color and can be in the corner,
;;; on an edge, or an interior point, subject to the physical constraints
;;; of the board (e.g., two corner points cannot be neighbors).
;;;

(alive ((a b) (b c) (c d))                          ; a b c d

       ((a b) (b c) (c d) (d e))                    ; a b c d e

       ((a b) (b c) (b d) (d e))                    ; a b c
                                                    ;   d
                                                    ;   e

       ((a b) (b c) (c d) (d e) (e f))              ; a b c d e f

       ((a b) (b c) (c d) (d e) (d f))              ; a b c d e
                                                    ;       f

       ((a b) (b c) (c d) (c f) (d e))              ; a b c d e
                                                    ;     f

       ((a b) (b c) (b e) (c d) (c f) (e f))        ; a b c d
                                                    ;   e f

       ((a b) (a d) (b c) (b e) (c f) (d e) (e f))  ; a b c
                                                    ; d e f

       ((a b) (a e) (b c) (b f) (c d) (e f))        ; a b c d
                                                    ; e f

       ((a b) (b d) (b c) (c e) (d e) (e f)))       ;   d e f
                                                    ; a b c

(dead ((a))                                         ; a

      ((a b))                                       ; a b

      ((a b) (a c) (b d) (c d)))                    ; a b
                                                    ; c d
