//
// HashUtilsTests.java
//
// Copyright (c) 2010-2013, Jack D. Unrue
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

package com.dakengo.tests.base;

import static org.junit.Assert.*;
import static org.hamcrest.Matchers.*;

import java.util.ArrayList;

import org.junit.Test;

import com.dakengo.libs.base.HashUtils;

public class HashUtilsTests
{
   @Test
   public void testAnyOrder()
   {
      Integer[] ary1 = new Integer[] { 1, 5, 3, 7 };
      Integer[] ary2 = new Integer[] { 7, 1, 5, 3 };
      Integer[] ary3 = new Integer[] { 7, 3, 5, 1 };
      Integer[] ary4 = new Integer[] { 3, 7, 1, 5 };
      int hash1 = HashUtils.computeAnyOrder( ary1 );
      int hash2 = HashUtils.computeAnyOrder( ary2 );
      int hash3 = HashUtils.computeAnyOrder( ary3 );
      int hash4 = HashUtils.computeAnyOrder( ary4 );
      assertThat( hash1, is( hash2 ) );
      assertThat( hash1, is( hash3 ) );
      assertThat( hash1, is( hash4 ) );
      assertThat( hash2, is( hash3 ) );
      assertThat( hash2, is( hash4 ) );
      assertThat( hash3, is( hash4 ) );

      ArrayList<Integer> list1 = new ArrayList<Integer>(); list1.add( 1 ); list1.add( 5 ); list1.add( 3 ); list1.add( 7 );
      ArrayList<Integer> list2 = new ArrayList<Integer>(); list2.add( 7 ); list2.add( 1 ); list2.add( 5 ); list2.add( 3 );
      ArrayList<Integer> list3 = new ArrayList<Integer>(); list3.add( 7 ); list3.add( 3 ); list3.add( 5 ); list3.add( 1 );
      ArrayList<Integer> list4 = new ArrayList<Integer>(); list4.add( 3 ); list4.add( 7 ); list4.add( 1 ); list4.add( 5 );
      hash1 = HashUtils.computeAnyOrder( list1 );
      hash2 = HashUtils.computeAnyOrder( list2 );
      hash3 = HashUtils.computeAnyOrder( list3 );
      hash4 = HashUtils.computeAnyOrder( list4 );
      assertThat( hash1, is( hash2 ) );
      assertThat( hash1, is( hash3 ) );
      assertThat( hash1, is( hash4 ) );
      assertThat( hash2, is( hash3 ) );
      assertThat( hash2, is( hash4 ) );
      assertThat( hash3, is( hash4 ) );
   }
}
