//
// CollectionUtils.java
//
// Copyright (c) 2012-2013, Jack D. Unrue
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

package com.dakengo.tests.utils;

import java.util.HashSet;
import java.util.Set;

/**
 * Helper methods that perhaps should be part of Commons Collections
 * or Commons Lang.
 * 
 * @author <a href="mailto:jdunrue@gmail.com">Jack D. Unrue</a>
 */
public abstract class CollectionUtils
{
   public static <T> Set<T> arrayToSet( T[] ary )
   {
      Set<T> dest = new HashSet<T>( ary.length );
      for (int i = 0; i < ary.length; i++)
         dest.add( ary[i] );
      return dest;
   }
}
