//
// ForwardedException.java
//
// Copyright (c) 2012-2013, Jack D. Unrue
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

package com.dakengo.tests.utils;

/**
 * This exception is thrown by AssertUtils.assertThrows() when a checked exception
 * is caught by TestRunnable. It allows the checked exception to be propagated back
 * up to the test framework without requiring try-catch clauses within test cases
 * that aren't asserting the exception.
 * 
 * @author <a href="mailto:jdunrue@gmail.com">Jack D. Unrue</a>
 */
@SuppressWarnings( "serial" )
public class ForwardedException extends RuntimeException
{
   public ForwardedException( Exception cause )
   {
      super( cause );
   }

   public ForwardedException( String details, Exception cause )
   {
      super( details, cause );
   }
}
