//
// TestRunnable.java
//
// Copyright (c) 2012-2013, Jack D. Unrue
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

package com.dakengo.tests.utils;

/**
 * A helper class for use with AssertUtils.assertThrows() which re-throws any
 * checked exception that the test case throws.
 * 
 * @author <a href="mailto:jdunrue@gmail.com">Jack D. Unrue</a>
 */
public abstract class TestRunnable implements Runnable
{
   public abstract void runTest() throws Exception;

   @Override
   public void run()
   {
      try
      {
         runTest();
      }
      catch (Exception ex)
      {
         throw new ForwardedException( ex.getMessage(), ex );
      }
   }
}
