//
// GtpOutputHandler.java
//
// Copyright (c) 2012-2013, Jack D. Unrue
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

package com.dakengo.apps.bot;

import org.apache.logging.log4j.Logger;
import org.apache.logging.log4j.LogManager;

import com.dakengo.libs.application.Constants;
import com.dakengo.libs.application.GtpCommand;
import com.dakengo.libs.application.GtpReplyHandler;

/**
 * @author <a href="mailto:jdunrue@gmail.com">Jack D. Unrue</a>
 */
public class GtpOutputHandler implements GtpReplyHandler
{
   @Override
   public void handleReply( boolean error, long id, String text )
   {
      StringBuilder buffer = new StringBuilder();
      buffer.append( error ? '?' : '=' );
      if (id != GtpCommand.NO_ID)
         buffer.append( id );
      buffer.append( ' ' );
      buffer.append( text );
      String output = buffer.toString();
      Logger log = LogManager.getLogger( Constants.LOGGER_NAME );
      log.debug( Resources.formatString( "msg.7011", output ) ); //$NON-NLS-1$
      System.out.println( output );
      System.out.println();
   }
}
