//
// Constants.java
//
// Copyright (c) 2010-2013, Jack D. Unrue
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

package com.dakengo.libs.application;

/**
 * Application-level constants.
 *
 * @author <a href="mailto:jdunrue@gmail.com">Jack D. Unrue</a>
 */
public abstract class Constants
{
   /** Name of the system property that specifies the top-level directory of an application. */
   public static final String APP_HOME_PROP           = "dakengo.app.home.dir";              //$NON-NLS-1$

   /** The name of the log4j log object. */
   public static final String LOGGER_NAME             = "com.dakengo.logger";                //$NON-NLS-1$

   /** Log4J 2.0 thread context key holding a game ID. */
   public static final String GAME_ID_MDC_PROP        = "com.dakengo.gameID";                //$NON-NLS-1$

   /** Plugin capability suffix for identifying file format readers. */
   public static final String READER_CAP_SUFFIX       = "reader";                            //$NON-NLS-1$

   /** Plugin capability suffix for identifying file format writers. */
   public static final String WRITER_CAP_SUFFIX       = "writer";                            //$NON-NLS-1$

   /** Plugin capability prefix for identifying scoring methods. */
   public static final String SCORING_CAP_PREFIX      = "scoring";                           //$NON-NLS-1$

   /** Plugin capability prefix for identifying file formats. */
   public static final String FORMAT_CAP_PREFIX       = "format:";                           //$NON-NLS-1$

   /** Plugin capability prefix identifying supported GTP commands. */
   public static final String GTP_CAP_PREFIX          = "gtp:";                              //$NON-NLS-1$

   /** Plugin capability prefix for specifying readers vs writers. */
   public static final String MODE_CAP_PREFIX         = "mode:";                             //$NON-NLS-1$

   /** Plugin capability prefix for specifying players. */
   public static final String PLAYER_CAP_PREFIX       = "player:";                           //$NON-NLS-1$
}
