//
// DateValueProvider.java
//
// Copyright (c) 2012-2013, Jack D. Unrue
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

package com.dakengo.libs.application;

import java.util.Date;

/**
 * A value provider that returns today's date in the format
 * specified by a {@link Configuration} object.
 * 
 * @author <a href="mailto:jdunrue@gmail.com">Jack D. Unrue</a>
 */
public class DateValueProvider implements ConfigVariableValueProvider
{
   /**
    * @param config
    */
   public DateValueProvider( Configuration config )
   {
      m_config = config;
   }

   @Override
   public String getValue()
   {
      return m_config.getDateFormat().format( new Date() );
   }

   private Configuration m_config;
}
