//
// GtpReplyHandler.java
//
// Copyright (c) 2010-2013, Jack D. Unrue
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

package com.dakengo.libs.application;

/**
 * Implement this interface to process the result of executing
 * a GTP command.
 *  
 * @author <a href="mailto:jdunrue@gmail.com">Jack D. Unrue</a>
 * 
 * @see GtpCommand
 * @see GtpCommandHandler
 * @see GameContext
 * @see GtpEngine
 * @see <a href="http://www.lysator.liu.se/~gunnar/gtp/gtp2-spec-draft2/gtp2-spec.html">Go Text Protocol</a>
 */
public interface GtpReplyHandler
{
   /**
    * @param error  true if the command encountered an error
    * @param id     the command's ID number, or {@link GtpCommand#NO_ID}
    * @param text   the text of the command's response
    */
   void handleReply( boolean error, long id, String text );
}
