//
// Modifiable.java
//
// Copyright (c) 2013, Jack D. Unrue
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

package com.dakengo.libs.base;

/**
 * Implement this interface to provide a typesafe clone() method for modifiable
 * types.
 * 
 * @author <a href="mailto:jdunrue@gmail.com">Jack D. Unrue</a>
 *
 * @see <a href="http://stackoverflow.com/a/388318">Mandatory cloneable interface in Java</a>
 */
public interface Modifiable<T extends Modifiable<T>> extends Cloneable
{
   T cloneMe();
}
