//
// FinalScoreHandler.java
//
// Copyright (c) 2013, Jack D. Unrue
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

package com.dakengo.plugins.gtp.tournament;

import net.xeoh.plugins.base.annotations.PluginImplementation;

import com.dakengo.libs.application.BaseGtpCommandHandler;
import com.dakengo.libs.application.GameContext;
import com.dakengo.libs.application.GtpCommand;
import com.dakengo.libs.application.GtpReplyHandler;
import com.dakengo.libs.game.Result;

/** 
 * Implements the {@code final_score} GTP command.
 * 
 * @author <a href="mailto:jdunrue@gmail.com">Jack D. Unrue</a>
 */
@PluginImplementation
public class FinalScoreHandler extends BaseGtpCommandHandler
{
   public FinalScoreHandler()
   {
      super( "final_score", false ); //$NON-NLS-1$
   }

   @Override
   protected void doCommand( GtpCommand cmd, GameContext context, GtpReplyHandler callback )
   {
      if (!cmd.getArguments().isEmpty())
      {
         reportInvalidNumArgs( cmd, callback );
         return;
      }
      Result result = context.getGame().getResult( context.getScorer() );
      callback.handleReply( false, cmd.getID(), result.toString() );
   }
}
