//
// Constants.java
//
// Copyright (c) 2012-2013, Jack D. Unrue
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

package com.dakengo.plugins.record.sgf;

/**
 * SGF plugin constants.
 * 
 * @author <a href="mailto:jdunrue@gmail.com">Jack D. Unrue</a>
 */
abstract class Constants
{
   public static final int    DEFAULT_SGF_VERSION = 4;

   public static final String FORMAT              = "sgf";          //$NON-NLS-1$

   public static final String DIAGRAM_NOTE        = "DIAGRAM";      //$NON-NLS-1$
   public static final String HOTSPOT_NOTE        = "HOTSPOT";      //$NON-NLS-1$
   public static final String ILLEGAL_NOTE        = "ILLEGAL";      //$NON-NLS-1$
   public static final String NAME_NOTE           = "NAME";         //$NON-NLS-1$
   public static final String NODE_NOTE           = "NODE";         //$NON-NLS-1$
   public static final String NUMBER_NOTE         = "NUMBER";       //$NON-NLS-1$
   public static final String VALUE_NOTE          = "VALUE";        //$NON-NLS-1$
   public static final String VISIBILITY_NOTE     = "VISIBILITY";   //$NON-NLS-1$

   private Constants()
   {
   }
}
